<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__stack__config__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_stack_config_param_t</compoundname>
    <includes local="no">cy_ble_stack.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__stack__config__param__t_1a465e7bd290e0aa9586aba1f51297204d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__dle__config__param__t">cy_stc_ble_dle_config_param_t</ref></type>
        <definition>cy_stc_ble_dle_config_param_t cy_stc_ble_stack_config_param_t::dleConfig</definition>
        <argsstring />
        <name>dleConfig</name>
        <briefdescription>
<para>Configuration parameter for DLE feature. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1531" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1531" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__config__param__t_1a9009c1ffa06765bf44bde2760584ac5a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__l2cap__config__param__t">cy_stc_ble_l2cap_config_param_t</ref></type>
        <definition>cy_stc_ble_l2cap_config_param_t cy_stc_ble_stack_config_param_t::l2capConfig</definition>
        <argsstring />
        <name>l2capConfig</name>
        <briefdescription>
<para>Configuration parameter for L2CAP buffer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1534" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1534" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__config__param__t_1a0327c6e4bb8a1b3035ba4f43225cffbf" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__privacy__1__2__config__param__t">cy_stc_ble_privacy_1_2_config_param_t</ref></type>
        <definition>cy_stc_ble_privacy_1_2_config_param_t cy_stc_ble_stack_config_param_t::privacyConfig</definition>
        <argsstring />
        <name>privacyConfig</name>
        <briefdescription>
<para>Configuration parameter for privacy 1.2 feature. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1537" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1537" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__config__param__t_1ab586e1060ae42bf2733d10aa1d52f990" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__bonded__device__list__config__param__t">cy_stc_ble_bonded_device_list_config_param_t</ref></type>
        <definition>cy_stc_ble_bonded_device_list_config_param_t cy_stc_ble_stack_config_param_t::bondListConfig</definition>
        <argsstring />
        <name>bondListConfig</name>
        <briefdescription>
<para>Configuration parameter for Bonded Devices List. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1540" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1540" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__config__param__t_1a512e04e9d0c26466322094372c467715" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__white__list__config__param__t">cy_stc_ble_white_list_config_param_t</ref></type>
        <definition>cy_stc_ble_white_list_config_param_t cy_stc_ble_stack_config_param_t::whiteListConfig</definition>
        <argsstring />
        <name>whiteListConfig</name>
        <briefdescription>
<para>Configuration parameter for White List. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1543" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1543" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__config__param__t_1a0b1a784ad9aafd21691ff8495492ab44" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__mxd__pa__cal__param__t">cy_stc_ble_mxd_pa_cal_param_t</ref></type>
        <definition>cy_stc_ble_mxd_pa_cal_param_t cy_stc_ble_stack_config_param_t::paCalConfig</definition>
        <argsstring />
        <name>paCalConfig</name>
        <briefdescription>
<para>Configuration parameter for Radio PA calibration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1546" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1546" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__config__param__t_1a072cb7a8eda1697748c0f376eb229bf4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_stack_config_param_t::featureMask</definition>
        <argsstring />
        <name>featureMask</name>
        <briefdescription>
<para>The feature set mask used to control usage of specified feature in the BLE stack. </para>        </briefdescription>
        <detaileddescription>
<para>If a feature is not selected, then associated parameter pointer can be NULL. Feature Mask Values : B0 : DLE_FEATURE_MASK B1 : PRIVACY_1_2_FEATURE_MASK B2 : SECURE_CONN_FEATURE_MASK B3 : PHY_UPDATE_FEATURE_MASK B4 : PERSISTENT_STORE_BONDLIST B5 : PERSISTENT_STORE_RESOLVING_LIST B6 : PERSISTENT_STORE_WHITELIST B7 : PERSISTENT_RADIO_CALIBRATION_MASK </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1561" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1561" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__config__param__t_1a98708b18b450aa6580f911426f5e6150" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_stack_config_param_t::featureHeapReq</definition>
        <argsstring />
        <name>featureHeapReq</name>
        <briefdescription>
<para>Out parameter for returning memory requirement for selected features. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1564" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1564" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__config__param__t_1a50a65f49ed529ccc18215c21d0fbac49" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_stack_config_param_t::maxBleConnections</definition>
        <argsstring />
        <name>maxBleConnections</name>
        <briefdescription>
<para>Configuration parameter for Maximum number of BLE Connection Max possible value is 4 and Min configuration value is 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1570" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1570" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration structure for enabling selective features and passing associated parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1219">
        <label>cy_stc_ble_privacy_1_2_config_param_t</label>
        <link refid="structcy__stc__ble__privacy__1__2__config__param__t" />
      </node>
      <node id="1216">
        <label>cy_stc_ble_stack_config_param_t</label>
        <link refid="structcy__stc__ble__stack__config__param__t" />
        <childnode refid="1217" relation="usage">
          <edgelabel>paCalConfig</edgelabel>
        </childnode>
        <childnode refid="1218" relation="usage">
          <edgelabel>l2capConfig</edgelabel>
        </childnode>
        <childnode refid="1219" relation="usage">
          <edgelabel>privacyConfig</edgelabel>
        </childnode>
        <childnode refid="1220" relation="usage">
          <edgelabel>bondListConfig</edgelabel>
        </childnode>
        <childnode refid="1221" relation="usage">
          <edgelabel>dleConfig</edgelabel>
        </childnode>
        <childnode refid="1222" relation="usage">
          <edgelabel>whiteListConfig</edgelabel>
        </childnode>
      </node>
      <node id="1221">
        <label>cy_stc_ble_dle_config_param_t</label>
        <link refid="structcy__stc__ble__dle__config__param__t" />
      </node>
      <node id="1220">
        <label>cy_stc_ble_bonded_device_list_config_param_t</label>
        <link refid="structcy__stc__ble__bonded__device__list__config__param__t" />
      </node>
      <node id="1218">
        <label>cy_stc_ble_l2cap_config_param_t</label>
        <link refid="structcy__stc__ble__l2cap__config__param__t" />
      </node>
      <node id="1217">
        <label>cy_stc_ble_mxd_pa_cal_param_t</label>
        <link refid="structcy__stc__ble__mxd__pa__cal__param__t" />
      </node>
      <node id="1222">
        <label>cy_stc_ble_white_list_config_param_t</label>
        <link refid="structcy__stc__ble__white__list__config__param__t" />
      </node>
    </collaborationgraph>
    <location bodyend="1572" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1528" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1529" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__stack__config__param__t_1ab586e1060ae42bf2733d10aa1d52f990" virt="non-virtual"><scope>cy_stc_ble_stack_config_param_t</scope><name>bondListConfig</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__config__param__t_1a465e7bd290e0aa9586aba1f51297204d" virt="non-virtual"><scope>cy_stc_ble_stack_config_param_t</scope><name>dleConfig</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__config__param__t_1a98708b18b450aa6580f911426f5e6150" virt="non-virtual"><scope>cy_stc_ble_stack_config_param_t</scope><name>featureHeapReq</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__config__param__t_1a072cb7a8eda1697748c0f376eb229bf4" virt="non-virtual"><scope>cy_stc_ble_stack_config_param_t</scope><name>featureMask</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__config__param__t_1a9009c1ffa06765bf44bde2760584ac5a" virt="non-virtual"><scope>cy_stc_ble_stack_config_param_t</scope><name>l2capConfig</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__config__param__t_1a50a65f49ed529ccc18215c21d0fbac49" virt="non-virtual"><scope>cy_stc_ble_stack_config_param_t</scope><name>maxBleConnections</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__config__param__t_1a0b1a784ad9aafd21691ff8495492ab44" virt="non-virtual"><scope>cy_stc_ble_stack_config_param_t</scope><name>paCalConfig</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__config__param__t_1a0327c6e4bb8a1b3035ba4f43225cffbf" virt="non-virtual"><scope>cy_stc_ble_stack_config_param_t</scope><name>privacyConfig</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__config__param__t_1a512e04e9d0c26466322094372c467715" virt="non-virtual"><scope>cy_stc_ble_stack_config_param_t</scope><name>whiteListConfig</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>